/* ===========================================================
   GP ANSOR WARULOR SYSTEM
   BUTTON
=========================================================== */

.btn{

    display:inline-flex;
    align-items:center;
    justify-content:center;
    height:50px;
    padding:0 26px;
    border-radius:12px;
    font-size:16px;
    font-weight:600;
    line-height:1;
    white-space:nowrap;

}
/* ==========================
   SIZE
========================== */

.btn-sm{
    padding:10px 18px;
    font-size:14px;

}

.btn-md{
    padding:14px 28px;
    font-size:15px;

}

.btn-lg{
    padding:18px 36px;
    font-size:16px;

}

/* ==========================
   PRIMARY
========================== */

.btn-primary{
    background:var(--primary);
    color:var(--white);
    box-shadow:var(--shadow-md);
	min-width:140px;

}

.btn-primary:hover{

    background:var(--primary-dark);
    transform:translateY(-3px);

}

/* ==========================
   OUTLINE
========================== */

.btn-outline{

    border:2px solid var(--primary);
    color:var(--primary);
    background:transparent;

}

.btn-outline:hover{

    background:var(--primary);
    color:var(--white);

}

/* ==========================
   WHITE
========================== */

.btn-white{

    background:var(--white);
    color:var(--primary);
    box-shadow:var(--shadow-sm);

}

.btn-white:hover{

    transform:translateY(-3px);

}

/* ==========================
   ICON
========================== */

.btn-icon{

    width:48px;
    height:48px;
    border-radius:50%;
    padding:0;

}

/* ==========================
   BLOCK
========================== */

.btn-block{

    width:100%;
}

/* ==========================
   DISABLED
========================== */

.btn:disabled,

.btn.disabled{

    opacity:.6;
    cursor:not-allowed;
    pointer-events:none;

}